  
#define FAILURE	0
#define SUCCESS 1
#define false 0
#define true 1
#define READ 0
#define WRITE 1


#include "SuuntoAPIDiveStruct.h"

enum sAPI_ComputerMode { mAIR, mNITROX, mGAUGE };

enum sAPI_APSettings { csPERSONAL, csALTITUDE };

enum sAPI_ComputerModel { cmSTINGER = 3,cmMOSQUITO = 4,cmD3 = 5, cmVIPER = 0xA, cmVYTEC = 0xB, cmCOBRA = 0xC, cmGEKKO = 0xD };

enum sAPI_SampleRate { sr10s, sr20s, sr30s, sr60s, srDEFAULTs };

enum sAPI_ProfileCodes { pcNA1 = 0x79, pcSLOW, pcVIOLATION, pcBOOKMARK, pcSURFACED, pcDECO, pcCEILING, pcEND, pcMISSEDSTOP,pcEOD,
		 pcWORKLOAD, pcNA2, pcCOLDWATER, pcNA3, pcGASCHANGE };

/* ***************************************************************** */



#ifdef __cplusplus
extern "C" { 
#endif 

 int SUUNTOAPI_API __stdcall sAPI_InitalizeCommPort(const TCHAR *);
 int SUUNTOAPI_API __stdcall sAPI_OpenCommPort(const TCHAR *,int);
void SUUNTOAPI_API __stdcall sAPI_CloseCommPort(void);
 int SUUNTOAPI_API __stdcall sAPI_CommPortStatus(void);
 int SUUNTOAPI_API __stdcall sAPI_ChangeCommPort(const TCHAR *,int );
 int SUUNTOAPI_API __stdcall sAPI_InterfacePresent(void);
 int SUUNTOAPI_API __stdcall sAPI_Write_Byte( unsigned short,unsigned char );
 int SUUNTOAPI_API __stdcall sAPI_Write_Word( unsigned short, unsigned short);
 int SUUNTOAPI_API __stdcall sAPI_Write_Memory(unsigned short,unsigned char *, int);
unsigned char SUUNTOAPI_API __stdcall sAPI_Read_Byte( unsigned short);
unsigned short SUUNTOAPI_API __stdcall sAPI_Read_Word( unsigned short );
 int SUUNTOAPI_API __stdcall sAPI_Read_Memory(unsigned short,unsigned char *,int);
 int SUUNTOAPI_API __stdcall sAPI_SetCommDelay(int); 
 int SUUNTOAPI_API __stdcall sAPI_GetSampleRate(enum sAPI_SampleRate);
enum sAPI_SampleRate  SUUNTOAPI_API __stdcall sAPI_EnumerateSampleRate(int);
void SUUNTOAPI_API __stdcall sAPI_SetExtendedAddressAccess(int);
void SUUNTOAPI_API __stdcall sAPI_SetExcludeProfileData(int);
unsigned char SUUNTOAPI_API __stdcall sAPI_ConvertPersonalSettings(enum sAPI_APSettings, unsigned char, unsigned char);

void SUUNTOAPI_API __stdcall sAPI_FreeDiveData(pCOMP_DATA );
 int SUUNTOAPI_API __stdcall sAPI_DownloadDives(pCOMP_DATA);
 int SUUNTOAPI_API __stdcall sAPI_DownloadComputerData(pCOMP_DATA );
 int SUUNTOAPI_API __stdcall sAPI_DownloadComputerDataNoProfile(pCOMP_DATA );
 int SUUNTOAPI_API __stdcall sAPI_DownloadComputerDataEX(pCOMP_DATA );
 int SUUNTOAPI_API __stdcall sAPI_UploadComputerData(pCOMP_DATA );
 int SUUNTOAPI_API __stdcall sAPI_UploadComputerDataEX(pCOMP_DATA );
void SUUNTOAPI_API __stdcall sAPI_SetProgressCallbackRoutine( void (__stdcall *)(int) );
void SUUNTOAPI_API __stdcall sAPI_SetActionCallbackRoutine( void (__stdcall *)(int) );
void SUUNTOAPI_API __stdcall sAPI_SetStatusCallbackRoutine( void (__stdcall *)(const TCHAR *) );
void SUUNTOAPI_API __stdcall sAPI_CancelCurrentAction(int);

void SUUNTOAPI_API __stdcall sAPI_ConvertDataToXML(const TCHAR *,pCOMP_DATA);

#ifdef __cplusplus
}
#endif

/* ***************************************************************** */

enum sAPI_ErrorCode {UNKNOWN_ERROR =-1, NoError=0, CRITICALERROR , NOMEMORY, BUFFER_OVERRUN, BAD_WRITE_PARAM,
BAD_READ_PARAM, BAD_CHECKSUM, DATA_MISMATCH, INVALID_MODEL, INVALID_UNITS, BAD_OPEN, COMMAND_MISMATCH,
ERROR_SEND, ERROR_RECEIVE, BADSAMPLERATE, DEVICE_NOT_PRESENT, READ_TIMEOUT, STACKUNDER,STACKOVER, ACTIONCANCELED  };

 
#ifdef __cplusplus
extern "C" { 
#endif 

void SUUNTOAPI_API __stdcall sAPI_ThrowError(enum sAPI_ErrorCode );
 int SUUNTOAPI_API __stdcall sAPI_ExtendedError(void);
void SUUNTOAPI_API __stdcall sAPI_ClearError(void);
 int SUUNTOAPI_API __stdcall sAPI_Error(void);
void SUUNTOAPI_API __stdcall sAPI_GetErrorMessage(TCHAR *,int);
//BSTR SUUNTOAPI_API __stdcall sAPI_GetErrorMessageAsBSTR(void);


#ifdef __cplusplus
}
#endif

