#ifndef DIVEDATA_COMPDATA_STRUCTS_DEFINED
    #define DIVEDATA_COMPDATA_STRUCTS_DEFINED

typedef struct _DIVE_DATA
 {
    struct _DIVE_DATA *NextDive;
    unsigned char *Profile;
    int ProfileLength;
    unsigned char SurfaceIntervalMinutes;
    unsigned char SurfaceIntervalHours;
    unsigned char DiveNumber;
    unsigned char SampleInterval;
    unsigned char Personal_AltitudeSettings;
    unsigned char StartingPressure;
    unsigned char GasMix; /* air mode == 0 */
    unsigned char PPO2;
    unsigned char StartingAirTemp;
    unsigned char Year;
    unsigned char Month;
    unsigned char Day;
    unsigned char Hour;
    unsigned char Minute;
    unsigned char TempAtDepth;
    unsigned char EndingTemp;
    unsigned char EndingPressure;
    unsigned char CNSClock;
 } DIVE_DATA,*pDIVE_DATA;

typedef struct _COMP_DATA
 {
    DIVE_DATA  *DiveData;
    short DiveCount;
    unsigned char  UnusedData1[0x1E]; // 00 -> 0x1D
    unsigned short MaxDepth;        // 0x1E,0x1F
    unsigned short TotalDiveTime;   //0x20,0x21
    unsigned short TotalDives;      //0x22,0x23
    unsigned char  ComputerModel;   //0x24
    unsigned char  FirmwareVersionMjr;  // 0x25 Is firmware Major Version number
    unsigned char  SerialNumber[4];  // 0x26,0x27,0x28,0x29
    unsigned char  UnknownData1[2];  // 0x2A,0x2B
    unsigned char  PersonalInfo[30]; // Ox2c  -> 0x49 ???? IS RIGHT
// 0x2c,0x2d,0x2e,0x2f,0x30,0x31,0x32,0x33,0x34,0x35,0x36,0x37,0x38,0x39,0x3A,
// 0x3B,0x3C,0x3D,0x3E,0x3F,0x40,0x41,0x42,0x43,0x44,0x45,0x46,0x47,0x48,0x49
    unsigned char  UnknownData2[7];  // 0x4A,0x4B,0x4C,0x4D,0x4E,0x4F,0x50
    unsigned short RingBufferPTR; /* 0x51,0x52  not to be written */
    unsigned char  SampleInterval;  // 0x53
    unsigned char  ConservationSettings;  // 0x54
    unsigned char  UnknownData3[7];   // 0x55,0x56,0x57,0x58,0x59,0x5A,0x5B,
    unsigned char  dummy1;
    unsigned short MaxFreeDiveDepth;  // 0x5C,0x5D
    unsigned short MaxFreeDiveTime;   // 0x5E,0x5F
    unsigned char  UnknownData4;      // 0x60
    unsigned char  _12_24Clock;       // 0x61
    unsigned char  Units;             // 0x62
    unsigned char  Mode;  //          // 0x63
    unsigned char  Light; //          // 0x64
    unsigned char  AlarmEnables;      // 0x65
    unsigned short AlarmTime;        // 0x66,0x67
    unsigned short AlarmDepth;       // 0x68,0x69
    unsigned char  UnknownData5[7];   // 0x6A,0x6B,0x6C,0x6D,0x6E,0x6F,0x70
    
 } COMP_DATA,*pCOMP_DATA;

#endif
